#include "asm86.h"
#include "ti86asm.inc"

.org _asm_exec_ram

 nop
 jp Start
.dw 0
.dw Text

ShowBig:
 ld (_curRow),bc
 jp _puts
 
ShowSmall:
 ld (_penCol),bc
 jp _vputs
 
Start:
 call _runindicoff
 call _clrLCD
 call _homeup
 call _flushallmenus
 set textInverse,(iy+textflags)
 ld hl,Text
 ld bc,$0000
 call ShowBig
 res textInverse,(iy+textflags)
 ld bc,$0800
 call ShowSmall
 ld bc,$1000
 call ShowSmall
 ld bc,$1800
 call ShowSmall
 ld bc,$0406
 call ShowBig

KeyLoop:
 call _getky
 cp K_EXIT
 jp z,EXIT
 cp K_1
 jp z,BW
 cp K_2
 jp z,G4
 cp K_3
 jp z,G8
 jr KeyLoop
 
BW:
 call _clrLCD
 set textInverse,(iy+textflags)
 ld hl,BWT
 ld bc,$0300
 call Page1
 call _clrLCD
 set textInverse,(iy+textflags)
 ld hl,BWT
 ld bc,$0300
 call ShowBig
 res textInverse,(iy+textflags)
 ld hl,BWT2
 call Load4
 call _getkey
 call _clrLCD
 set textInverse,(iy+textflags)
 ld hl,BWT
 ld bc,$0300
 jp PageL
 
Page1:
 call ShowBig
 res textInverse,(iy+textflags)
 ld hl,T1
 call Load4
 call Load5
 jp _getkey
 
PageL:
 call ShowBig
 res textInverse,(iy+textflags)
 ld hl,T2
 call Load4
 call Load5
 call _getkey
 jp Start
 
Load4:
 ld bc,$0800
 call ShowSmall
 ld bc,$1004
 call ShowSmall
 ld bc,$1804
 call ShowSmall
 ld bc,$2004
 jp ShowSmall
Load5:
 ld bc,$2804
 jp ShowSmall
 
G4:
 call _clrLCD
 set textInverse,(iy+textflags)
 ld hl,G4T
 ld bc,$0200
 call Page1
 call _clrLCD
 set textInverse,(iy+textflags)
 ld hl,G4T
 ld bc,$0200
 call ShowBig
 res textInverse,(iy+textflags)
 ld hl,G4T2
 call Load4
 call Load5
 ld bc,$3004
 call ShowSmall 
 call _getkey
 call _clrLCD
 set textInverse,(iy+textflags)
 ld hl,G4T
 ld bc,$0200
 jp PageL
 
G8:
 call _clrLCD
 set textInverse,(iy+textflags)
 ld hl,G8T
 ld bc,$0200
 call Page1
 call _clrLCD
 set textInverse,(iy+textflags)
 ld hl,G8T
 ld bc,$0200
 call ShowBig
 res textInverse,(iy+textflags)
 ld hl,G8T2
 call Load4
 call Load5
 ld bc,$3004
 call ShowSmall
 ld bc,$3804
 call ShowSmall
 call _getkey
 call _clrLCD
 set textInverse,(iy+textflags)
 ld hl,G8T
 ld bc,$0200
 jp PageL
 
EXIT:
 call _clrLCD
 ld hl,RBP
 ld bc,$0013
 ld (_penCol),bc
 jp _vputs
 
Text:
.db " Scrolling  Pictures ",0
.db "1. Black & White",0
.db "2. 4 Level Greyscale",0
.db "3. 8 Level Greyscale",0
.db "William White",0

BWT:
.db "Black and White",0
BWT2:
.db "2. Open scroll.asm and paste the code",0
.db "under label 'disp1data'. Subtract 64",0
.db "from the picture height & put that",0
.db "under the label 'picheight'.",0

T1:
.db "1. Use Image Studio to convert a 24-bit",0
.db "bitmap to z80 uncompressed hex. It",0
.db "can be up to 190 pixels tall, but must",0
.db "be 128 pixels wide. Export the code to",0
.db "the clipboard.",0

T2:
.db "3. Compile, send to you TI-86, & enjoy",0
.db "what you just made. You should cut",0
.db "the picture into 128x64 segments &",0
.db "repeat steps 1 & 2 until finished.",0
.db "The picheight must be divisible by 2.",0

G4T:
.db "4 Level Greyscale",0

G4T2:
.db "2. Open scroll4.asm and paste the code",0
.db "in a new file. Subtract 64 from the",0
.db "picture height & put it under the label",0
.db "'picheight'. Put data labeled 'Layer1'",0
.db "under label 'disp2data' and data from",0
.db "'Layer2' under label 'disp1data'.",0

G8T:
.db "8 Level Greyscale",0

G8T2:
.db "2. Open scroll8.asm and paste the code",0
.db "in a new file. Subtract 64 from the",0
.db "picture height & put it under the label",0
.db "'picheight'. Put data labeled 'Layer1'",0
.db "under label 'disp3data', data from",0
.db "'Layer2' under label 'disp2data', &",0
.db "data from 'Layer3' under 'disp1data'.",0

RBP:
.db "Really Bored Productions II",0

.end